export declare function checkChromeExtensionAvailable(): Promise<boolean>;
export declare function getSourceId(): Promise<{
    sourceId: string;
    canRequestAudioTrack: boolean;
}>;
export declare function getCustomSourceId(sourceTypes: string[]): Promise<{
    sourceId: string;
    canRequestAudioTrack: boolean;
}>;
export declare const isFirefox: boolean;
export declare const isOpera: boolean;
export declare const isChrome: boolean;
export declare function getChromeExtensionStatus(callback: Function, extensionid: string): any;
export declare function getScreenConstraints(options?: {
    captureSourceIdWithAudio?: boolean;
    maxWidth?: number;
    maxHeight?: number;
}): Promise<object>;
